FousDocs

API reference

List Api Categories

GET /v1/catalog/categories

GET/v1/catalog/categories

The supported Discover category IDs and labels. Each API shares one category across its methods.

Authentication

This endpoint does not require an API key.

Responses

200

Success

application/json

FieldTypeRequiredDescription
successvalueYes
dataobjectYes

Full schema:

json
{
  "type": "object",
  "properties": {
    "success": {
      "const": true
    },
    "data": {
      "type": "object",
      "properties": {
        "items": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "enum": [
                  "ai",
                  "blockchain",
                  "commerce",
                  "communication",
                  "data",
                  "developer-tools",
                  "documents",
                  "education",
                  "energy",
                  "entertainment",
                  "finance",
                  "food",
                  "government",
                  "health",
                  "identity",
                  "jobs",
                  "legal",
                  "logistics",
                  "maps",
                  "marketing",
                  "media",
                  "news",
                  "payments",
                  "productivity",
                  "real-estate",
                  "science",
                  "search",
                  "security",
                  "social",
                  "sports",
                  "storage",
                  "travel",
                  "weather",
                  "other"
                ]
              },
              "label": {
                "type": "string"
              }
            },
            "required": [
              "id",
              "label"
            ],
            "additionalProperties": false
          }
        }
      },
      "required": [
        "items"
      ],
      "additionalProperties": false
    }
  },
  "required": [
    "success",
    "data"
  ],
  "additionalProperties": false
}

400

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

401

Standard error. Inspect error.code, details and request_id.

  • WWW-Authenticate: Bearer authentication challenge; invalid or expired keys use invalid_token.

application/json

See the Error schema and error handling guide.

402

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

403

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

404

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

408

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

409

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

413

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

422

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

429

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

500

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

502

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

503

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

504

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.